Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.nodes 6.7.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.nodes
Class Node.PropertySet

    java.lang.Object
      java.beans.FeatureDescriptor
          org.openide.nodes.Node.PropertySet

Direct Known Subclasses:
  Sheet.Set

Enclosing class:
  Node

    public abstract static class Node.PropertySet

extends FeatureDescriptor

Class that represents one set of properties. A usual bean has three sets of properties: normal, expert, and events.

You may associate context help with this object, if desired, by setting a `custom property` with the name `helpID` and value of type `String` giving a help ID. Normally this is unnecessary as help for the whole `Node` will be used by default.

Constructor Summary
`Node.PropertySet()` Default constructor.
`Node.PropertySet(String name, String displayName, String shortDescription)` Create a property set.

Method Summary
`boolean` | `equals(Object propertySet)`
`String` | `getHtmlDisplayName()` Return a variant of the display name containing HTML markup conforming to the limited subset of font-markup HTML supported by the lightweight HTML renderer org.openide.awt.HtmlRenderer (font color, bold, italic and strikethrough supported; font colors can be UIManager color keys if they are prefixed with a ! character, i.e.
`abstract Node.Property[]` | `getProperties()` Get the list of contained properties.
`int` | `hashCode()`

Methods inherited from class java.beans.FeatureDescriptor
`attributeNames, getDisplayName, getName, getShortDescription, getValue, isExpert, isHidden, isPreferred, setDisplayName, setExpert, setHidden, setName, setPreferred, setShortDescription, setValue`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Node.PropertySet

    public Node.PropertySet()

  Default constructor.

### Node.PropertySet

    public Node.PropertySet(String name,
                            String displayName,
                            String shortDescription)

  Create a property set.

  Parameters:
    `name` - system name of the property set
    `displayName` - human presentable name
    `shortDescription` - description for the set

Method Detail

### getProperties

    public abstract Node.Property[] getProperties()

  Get the list of contained properties. This list can contain both `Node.Property` and `Node.IndexedProperty` elements.

  Returns:
    the properties

### equals

    public boolean equals(Object propertySet)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### getHtmlDisplayName

    public String getHtmlDisplayName()

  Return a variant of the display name containing HTML markup conforming to the limited subset of font-markup HTML supported by the lightweight HTML renderer org.openide.awt.HtmlRenderer (font color, bold, italic and strikethrough supported; font colors can be UIManager color keys if they are prefixed with a ! character, i.e. <font color=&'controlShadow'>). Enclosing html tags are not needed.

  This method should return either an HTML display name or null; it should not return the non-html display name if no markup is needed.

  Returns:
    a String containing conformant, legal HTML markup which represents the display name, or null. The default implementation returns null.
  Since:
    4.30
  See Also:
    `HtmlRenderer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.nodes 6.7.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.